<!DOCTYPE html>
<html lang="en-US">
   <head>
      <meta charset="UTF-8">
      <meta name="viewport" content="width=device-width, initial-scale=1.0" />
      <title>A Pet's Place Customer Products</title>
      <link rel="stylesheet" href="css/components.css">
      <link rel="stylesheet" href="css/icons.css">
      <link rel="stylesheet" href="css/responsee.css">
      <link rel="stylesheet" href="owl-carousel/owl.carousel.css">
      <link rel="stylesheet" href="owl-carousel/owl.theme.css"> 
      <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700,800&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
      <script type="text/javascript" src="js/jquery-1.8.3.min.js"></script>
      <script type="text/javascript" src="js/jquery-ui.min.js"></script>    
   </head>
<body class="size-960" onload="loadFunction()" style="margin:0;">
<header>
    <?php include("menu.php") ?>      
</header>
<section>
<div id="loaderDiv">
    <img class="spinner" src="img/app-paw-gold.png" alt="Paw">
</div>
<div id="mainDiv" style="display:none;">
<div class="line">
<?php
$product=$_GET["p"];
$search=$_GET["s"];
echo "<h1>Products - ".strtoupper($product)."</h1>";
?>
<?php
// Filter
echo "<form name=\"filter\" method=\"get\" action=\"products.php\" style=\"font-family: Arial, Helvetica; font-size: 16px;\">";
echo "Search <input name=\"s\" type=\"text\" value=\"$search\"  title=\"Search\" filter\" style=\"font-family: Arial, Helvetica; font-size: 16px; width:100px;\" autofocus>";
echo "<input name=\"p\" type=\"hidden\" value=\"$product\">";
echo "&nbsp;&nbsp;<input type=\"submit\" value=\"Refresh\" style=\"font-family: Arial, Helvetica; font-size: 16px;\">";
echo "</form>";

// Create connection
$dbh = mysqli_connect($servername, $username, $password, $dbname);
//echo "Database connected successfully<br>";
$query="select * from products where prod_status='Y'";
if($product<>"all") {
    $query=$query." and prod_cat='".$product."'";
}
if($search<>"") {
    $query=$query." and prod_name like '%".$search."%'";
}
$result=mysqli_query($dbh,$query) or die ("Error : Could not execute query :0( ".mysql_error());
$nrows=mysqli_num_rows($result);
//echo "$nrows retrieved<br>";

if($nrows>0) {
    for ($i=0;$i<$nrows;$i++) {
        $row=mysqli_fetch_assoc($result);
        echo "<div class=\"card\">";
        echo "<img src=\"".$row["prod_image"]."\" alt=\"".$row["prod_name"]."\" style=\"width:300px;\">";
        echo "<h2>".$row["prod_name"]."</h2>";
        echo "<p class=\"price\">£".number_format($row["prod_price"],2)."</p>";
        echo "<p>".$row["prod_desc"]."</p>";
        echo "<button onclick=\"window.location.href='add-to-cart.php?s=".$this_session."&p=".$row["prod_id"]."&q=1&ret=".$this_url."';\">Add to Cart</button>";
        echo "</div>";
    }   
}
else {
    echo "<p>No products found.</p>";
}
?>

</div>
<br><br>
</div>
<script>
var myVar;

function loadFunction() {
  myVar = setTimeout(showPage, 1000);
}

function showPage() {
  document.getElementById("loaderDiv").style.display = "none";
  document.getElementById("TopOfPage").style.display = "block";
  document.getElementById("BotOfPage").style.display = "block";
  document.getElementById("mainDiv").style.display = "block";
  
}
</script>
</section>
<!-- FOOTER -->
<?php include("footer.php") ?>       
<!-- FOOTER END -->                                                                 
      <script type="text/javascript" src="js/responsee.js"></script>               
      <script type="text/javascript" src="owl-carousel/owl.carousel.js"></script>
      
      <script type="text/javascript">
        jQuery(document).ready(function($) {
          var owl = $('#header-carousel');
          owl.owlCarousel({
            nav: true,
            dots: true,
            items: 1,
            loop: true,
            navText: ["&#xf007","&#xf006"],
            autoplay: true,
            autoplayTimeout: 3000
          });
          var owl = $('#gallery-carousel');
          owl.owlCarousel({
            nav: false,
            dots: true,
            loop: true,
            navText: ["&#xf007","&#xf006"],
            autoplay: true,
            autoplayTimeout: 3000,
            responsive: {
              0: {
                items: 1
              },
              769: {
                items: 2
              },
              960: {
                items: 4
              }
            }
          });
        })
      </script>
   </body>
</html>