<!DOCTYPE html>
<html lang="en-US">
   <head>
      <meta charset="UTF-8">
      <meta name="viewport" content="width=device-width, initial-scale=1.0" />
      <title>A Pet's Place Service View</title>
      <link rel="stylesheet" href="css/components.css">
      <link rel="stylesheet" href="css/icons.css">
      <link rel="stylesheet" href="css/responsee.css">
      <link rel="stylesheet" href="owl-carousel/owl.carousel.css">
      <link rel="stylesheet" href="owl-carousel/owl.theme.css"> 
      <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700,800&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
      <script type="text/javascript" src="js/jquery-1.8.3.min.js"></script>
      <script type="text/javascript" src="js/jquery-ui.min.js"></script>    
   </head>
<body class="size-960" onload="loadFunction()" style="margin:0;">
<header>
    <?php include("menu.php") ?>     
</header>
<section>
<div id="loaderDiv">
    <img class="spinner" src="img/app-paw-gold.png" alt="Paw">
</div>
<div id="mainDiv" style="display:none;">
<div class="line">
<?php
$d = $_POST["d"];
$s = $_POST["s"];
$p = $_POST["p"];
$ret = $_POST["ret"];
if ($p=="") { $p=$_REQUEST["p"]; }
if ($ret=="") { $ret=$_REQUEST["ret"]; }

//echo "<h1>Service View</h1>";
?>
<?php
$servername = "localhost";
$dbname = "chorley1_appdata";
$username = "chorley1_appadmin";
$password = "GiveTheDogABone";

// Create connection
$dbh = mysqli_connect($servername, $username, $password, $dbname);
//echo "Database connected successfully<br>";
$query="select * from services where serv_id=".$p;
$result=mysqli_query($dbh,$query) 
    or die ("Error : Could not execute query :0( ".mysql_error());
$nrows=mysqli_num_rows($result);
if($nrows>0) {
    $row=mysqli_fetch_assoc($result);
    echo "<h1>".$row["serv_name"]."</h1>";
    echo "<img src=\"".$row["serv_image"]."\" style=\"width:300px;\"><br>";
    echo $row["serv_desc"]."<br><br>";
    echo $row["serv_longdesc"]."<br>";
    echo "<h4>Calendar</h4>";
    
	$today=date('Y-m-d');
    $day='01';
    $month=date('m');
    $year=date('Y');
    $filterstart=strtotime($year."-".$month."-01");
    if ($d<>"") {
        $day='01';
        $month=substr($d,5,2);
        $year=substr($d,0,4);
    }
    $firstofmonth=$year."-".$month."-".$day;
    $firstdate=strtotime($firstofmonth);
    if ($d=="") { $d=$firstdate; }
    $dow=date("w",$firstdate);
    $caldate=strtotime("-".strval($dow)." days", $firstdate); // sub multiple days
    $thismonth=date("m",$firstdate);

    echo "<form name=\"filter\" method=\"post\" action=\"service-view.php\" style=\"font-family: Arial, Helvetica; font-size: 12px;\">";
    echo "<select name=\"d\" size=\"1\" title=\"Calendar Month\" style=\"font-family: Arial, Helvetica; font-size: 16px; width:150px;\" onchange=\"filter.submit()\">";
    for ($i=0;$i<18;$i++) {
		if ($d==date("Y-m-d",$filterstart)) { echo "<option selected value=\"".date("Y-m-d",$filterstart)."\">".date("F",$filterstart)." ".date("Y",$filterstart)."</option>"; }
		else { echo "<option value=\"".date("Y-m-d",$filterstart)."\">".date("F",$filterstart)." ".date("Y",$filterstart)."</option>"; }
        $filterstart=strtotime("+1 month",$filterstart);
    }
    echo "</select>";
    echo "<input name=\"s\" type=\"hidden\" value=\"$s\">";
    echo "<input name=\"p\" type=\"hidden\" value=\"$p\">";
    echo "<input name=\"ret\" type=\"hidden\" value=\"$ret\">";
    echo "<br><br>";
    echo "<table>";
        echo "<tr>";
            echo "<td width=\"14%\" align=\"center\" style=\"border:black solid 1px;font-weight: bold;background-color:#000000;color:white;\">SUN</td>";            
            echo "<td width=\"14%\" align=\"center\" style=\"border:black solid 1px;font-weight: bold;background-color:#000000;color:white;\">MON</td>";
            echo "<td width=\"14%\" align=\"center\" style=\"border:black solid 1px;font-weight: bold;background-color:#000000;color:white;\">TUE</td>";
            echo "<td width=\"14%\" align=\"center\" style=\"border:black solid 1px;font-weight: bold;background-color:#000000;color:white;\">WED</td>";
            echo "<td width=\"14%\" align=\"center\" style=\"border:black solid 1px;font-weight: bold;background-color:#000000;color:white;\">THU</td>";
            echo "<td width=\"14%\" align=\"center\" style=\"border:black solid 1px;font-weight: bold;background-color:#000000;color:white;\">FRI</td>";
            echo "<td width=\"14%\" align=\"center\" style=\"border:black solid 1px;font-weight: bold;background-color:#000000;color:white;\">SAT</td>";
        echo "</tr>";
        for ($weekno=1;$weekno<=6;$weekno++)
        {
            if (date("m",$caldate)==$thismonth || $weekno<=5) {
            echo "<tr>";
            for ($daycol=0;$daycol<=6;$daycol++)
            {
                $calday=date("d",$caldate);
                $calymd=date("Y-m-d",$caldate);
                //echo " $today $caldate<br>:";
                $supstatus=checkServiceStatus($p,$caldate);
                if ($supstatus=="N") { 
                    $status = "Closed";
                    if (date("m",$caldate)==$month) { $bold="<b>"; $backcolor="#AAAAAA"; }
                    else { $bold="";$backcolor="#FFFF00"; }
                }
                elseif ($supstatus=="I") { 
                    $status = getServiceStatus($p,$caldate);
                    if (date("m",$caldate)==$month) { $bold="<b>"; $backcolor="#00FF00"; }
                    else { $bold="";$backcolor="#FFFF00"; }
                }
                else {
                    $status = "Open";
                    if (date("m",$caldate)==$month) { $bold="<b>"; $backcolor="#00FF00"; }
                    else { $bold="";$backcolor="#FFFF00"; }
                }
                if($calymd==$today) { $border="red solid 5px"; }
                else { $border="black solid 1px"; }
                echo "<td width=\"14%\" align=\"left\" valign=\"top\" style=\"border:$border;background-color:$backcolor;\">".$bold.$calday."</b>";

                //echo GetDayEvents(date("Y-m-d",$caldate));
                echo "<br>$status</td>";
                $caldate=strtotime("+1 days", $caldate); // add 1 day
            }
            echo "</tr>";            }
        }
    echo "</table>";

    echo "</form>";
    echo "<br>";
    echo "<button onclick=\"window.location.href='service-enquiry.php?p=$p&s=".$this_session."&ret=".$this_url."';\">Make an Enquiry</button>";
    echo "<br><br>";

    $query1="select * from suppliers where sup_id='".$row["serv_supplier"]."'";
    $result1=mysqli_query($dbh,$query1) or die ("Error : Could not execute query :0( ".mysql_error());
    $nrows1=mysqli_num_rows($result1);
    if($nrows1>0) {
        $row1=mysqli_fetch_assoc($result1);
        echo "<h4>".$row1["sup_name"]."</h4>";
        echo "<br>";
        echo $row1["sup_addr1"]."<br>";
        if($row1["sup_addr2"]<>"") { echo $row1["sup_addr2"]."<br>"; }
        if($row1["sup_addr3"]<>"") { echo $row1["sup_addr3"]."<br>"; }
        echo $row1["sup_town"]."<br>";
        echo $row1["sup_postcode"]."<br>";
        echo "tel: ".$row1["sup_tel"]."<br>";
        echo "email: ".$row1["sup_email"]."<br>"; 
        echo "<h4>Overview</h4>".$row1["sup_desc"]."<br>"; 
        echo "<h4>Opening Hours</h4>".$row1["sup_openhours"]."<br>"; 
        echo "<h4>Services</h4>".$row1["sup_offer"]."<br>"; 
        echo "<h4>Testimonials</h4>"; 
        echo getServiceTestimonials($p);
    }
    else {
        echo "<p>Supplier not found.</p>";        
    }
}
else {
    echo "<p>Service not found.</p>";
}
?>

<br><br>
</div>
</div>
<script>
var myVar;

function loadFunction() {
  myVar = setTimeout(showPage, 1000);
}

function showPage() {
  document.getElementById("loaderDiv").style.display = "none";
  document.getElementById("TopOfPage").style.display = "block";
  document.getElementById("BotOfPage").style.display = "block";
  document.getElementById("mainDiv").style.display = "block";
  
}
</script>
</section>
<!-- FOOTER -->
<?php include("footer.php") ?>       
<!-- FOOTER END -->                                                                 
      <script type="text/javascript" src="js/responsee.js"></script>               
      <script type="text/javascript" src="owl-carousel/owl.carousel.js"></script>
      
      <script type="text/javascript">
        jQuery(document).ready(function($) {
          var owl = $('#header-carousel');
          owl.owlCarousel({
            nav: true,
            dots: true,
            items: 1,
            loop: true,
            navText: ["&#xf007","&#xf006"],
            autoplay: true,
            autoplayTimeout: 3000
          });
          var owl = $('#gallery-carousel');
          owl.owlCarousel({
            nav: false,
            dots: true,
            loop: true,
            navText: ["&#xf007","&#xf006"],
            autoplay: true,
            autoplayTimeout: 3000,
            responsive: {
              0: {
                items: 1
              },
              769: {
                items: 2
              },
              960: {
                items: 4
              }
            }
          });
        })
      </script>
   </body>
</html>