<!DOCTYPE html>
<html lang="en-US">
   <head>
      <meta charset="UTF-8">
      <meta name="viewport" content="width=device-width, initial-scale=1.0" />
      <title>A Pet's Place Checkout</title>
      <link rel="stylesheet" href="css/components.css">
      <link rel="stylesheet" href="css/icons.css">
      <link rel="stylesheet" href="css/responsee.css">
      <link rel="stylesheet" href="owl-carousel/owl.carousel.css">
      <link rel="stylesheet" href="owl-carousel/owl.theme.css"> 
      <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700,800&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
      <script type="text/javascript" src="js/jquery-1.8.3.min.js"></script>
      <script type="text/javascript" src="js/jquery-ui.min.js"></script>    
   </head>
<body class="size-960" onload="loadFunction()" style="margin:0;">
<header>
    <?php include("menu.php") ?>     
</header>
<section>
<div id="loaderDiv">
    <img class="spinner" src="img/app-paw-gold.png" alt="Paw">
</div>
<div id="mainDiv" style="display:none;">
<div class="line">
<?php
$service=$_GET["v"];
$search=$_GET["s"];
echo "<h1>Checkout</h1>";
?>
<?php
$servername = "localhost";
$dbname = "chorley1_appdata";
$username = "chorley1_appadmin";
$password = "GiveTheDogABone";

// Create connection
$dbh = mysqli_connect($servername, $username, $password, $dbname);
//echo "Database connected successfully<br>";
$query="select * from prodcart where cart_session='".$this_session."'";
$result=mysqli_query($dbh,$query) or die ("Error : Could not execute query :0( ".mysql_error());
$nrows=mysqli_num_rows($result);
if($nrows>0) {
    $totprice=0;
    echo "<table style=\"width:500px;\">";
    echo "<thead>";
    echo "<tr>";
    echo "<th style=\"border:solid black 1px;\">Product</th>";
    echo "<th align=\"center\" style=\"border:solid black 1px;\">Qty</th>";
    echo "<th align=\"center\" style=\"border:solid black 1px;\">Total Price</th>";
    echo "</tr>";
    echo "</thead>";
    for ($i=0;$i<$nrows;$i++) {
        $row=mysqli_fetch_assoc($result);
        echo "<tr>";
        echo "<td style=\"border:solid black 1px;\">".get_prod_name($row["cart_product"])."</td>";
        echo "<td align=\"center\" style=\"border:solid black 1px;width:50px;\">".$row["cart_qty"]."</td>";
        $price=get_prod_price($row["cart_product"])*$row["cart_qty"];
        $totprice+=$price;
        echo "<td align=\"right\" style=\"border:solid black 1px;width:100px;\">&pound;".number_format($price,2)."</td>";
        echo "</tr>";
    }   
    echo "<tr>";
    echo "<td style=\"border:solid black 1px;\"><b>TOTAL</b></td>";
    echo "<td align=\"center\" style=\"border:solid black 1px;width:50px;\"></td>";
    echo "<td align=\"right\" style=\"border:solid black 1px;width:100px;\"><b>&pound;".number_format($totprice,2)."</b></td>";
    echo "</tr>";
    echo "</table>";
}
else {
    echo "<p>There is nothing in your shopping cart.</p>";
}
?>

<?php
if($nrows>0) {
    echo "Note: all prices include postage and packing.<br><br>";
    echo "<button onclick=\"window.location.href='#';\">View T&Cs</button>&nbsp;&nbsp;";
    echo "<button onclick=\"window.location.href='#';\">Make Payment</button>";
}
?>
<br><br>
</div>
</div>
<script>
var myVar;

function loadFunction() {
  myVar = setTimeout(showPage, 1000);
}

function showPage() {
  document.getElementById("loaderDiv").style.display = "none";
  document.getElementById("TopOfPage").style.display = "block";
  document.getElementById("BotOfPage").style.display = "block";
  document.getElementById("mainDiv").style.display = "block";
  
}
</script>
</section>
<!-- FOOTER -->
<?php include("footer.php") ?>       
<!-- FOOTER END -->                                                                 
      <script type="text/javascript" src="js/responsee.js"></script>               
      <script type="text/javascript" src="owl-carousel/owl.carousel.js"></script>
      
      <script type="text/javascript">
        jQuery(document).ready(function($) {
          var owl = $('#header-carousel');
          owl.owlCarousel({
            nav: true,
            dots: true,
            items: 1,
            loop: true,
            navText: ["&#xf007","&#xf006"],
            autoplay: true,
            autoplayTimeout: 3000
          });
          var owl = $('#gallery-carousel');
          owl.owlCarousel({
            nav: false,
            dots: true,
            loop: true,
            navText: ["&#xf007","&#xf006"],
            autoplay: true,
            autoplayTimeout: 3000,
            responsive: {
              0: {
                items: 1
              },
              769: {
                items: 2
              },
              960: {
                items: 4
              }
            }
          });
        })
      </script>
   </body>
</html>